### Method

# Foundry DebuggerThread list_frames

#### Declaration [src]

    DexFuture*
    foundry_debugger_thread_list_frames (
      FoundryDebuggerThread* self
    )

#### Description

No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryDebuggerStackFrame`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.